### Disclaimer:
> This is a fork of `custom-react-scripts`([link](https://github.com/kitze/custom-react-scripts)). But with only some of the configurations and dependencies.

### Features:
* Decorators
* babel-preset-stage-0
* Sass
* CSS modules
* Sass modules

**the features are optional and can be turned on/off individually**

### How to use it
Using `npx`:

`npx create-react-app my-app --scripts-version react-scripts-winnin `

Regular installed `cra`:

`create-react-app my-app --scripts-version react-scripts-winnin`

Modify the `.env` file in the root of the generated project to enable/disable any given feature.

The generated project comes with every option turned on by default, but you can remove them at any time.

### How to test / develop it

**Don't** `npm install` this project. It won't do anything.

To test your changes use the `npm run test` command. It will pack the files into a `tgz` and install it on a `test-cra` folder in this project's root. Then you can try to run the project from that folder.
